> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Versions

> Lists all registered versions of an agent.

## Endpoint

`GET https://gateway.orkeia.ai/agents/{id}/version-control`

## Headers

```
authorization:  <your_token>
Content-Type: application/json
```

### Path Parameters

```json theme={null}
{
  "id": "Agent ID (required)"
}
```

### Example (cURL)

```bash theme={null}
curl -X GET "https://gateway.orkeia.ai/agents/agent123/version-control" \
  -H "authorization:  <your_token>"
```

## Responses

### Response - Success

```json theme={null}
{ "status": "OK",
  "data":[ {
    "id": "hist_001",
    "responsible": "Orkeia dev team",
    "responsibleId": "user_123",
    "action": "Created support agent",
    "type": "success",
    "date": "2025-08-22T18:32:45.000Z",
    "versionControl": "v1.0.0"
  }, {
    "id": "hist_002",
    "responsible": "Orkeia dev team",
    "responsibleId": "user_123",
    "action": "Deleted support agent",
    "type": "success",
    "date": "2025-08-22T18:32:45.000Z",
    "versionControl": "v1.3.0"
  },
],
}
```

### 500 — Bad Request

```json theme={null}
{
  "status": "ERROR",
  "code": "server/error",
  "data": null
}
```

### 400 — Client Error

```json theme={null}
{
  "status": "ERROR",
  "code": "client/error",
  "data": null
}
```
